Command = require './command'

class Commands
  constructor: (@commands=[])->
    throw "All commands must be a instance of Command class" for command in @commands when command not instanceof Command
  add: (command) ->
    throw "Command must be a instance of Command class" if command not instanceof Command
    @commands.push command
  addCommand: (name, command) ->
    throw "name and command parameter are required" if not name? or not command?
    @add new Command name, command


module.exports=Commands