var path = require('path');
var fs = require('fs');

var getUserHome = function getUserHome() {
  return process.env[(process.platform == 'win32') ? 'USERPROFILE' : 'HOME'];
}

module.exports.getPassword=function(){
	var config = getConfig();
	return config.password;
}

module.exports.getUsername=function(){
	var config = getConfig();
	return config.username;
}

function getConfig(){
	var usernameConfig=path.join(getUserHome(), '.sherlock', 'auth');
	var content = fs.readFileSync(usernameConfig);
	var config = JSON.parse(content);
	return config;
}

module.exports.getConfig=getConfig;
module.exports.getUserHome=getUserHome;