require('coffee-script/register');

var chai = require('chai');
var expect = chai.expect;
var should = require('should');

describe("Context - spec", function(){
  it("Should instantiate context with no params", function(){
    var Context = require('../../../../app/helpers/executions/context.coffee');
    var context = new Context();
    context.should.exist;
  });

  it("Should throw error if try add local request without commands instance", function(){
    var Context = require('../../../../app/helpers/executions/context.coffee');
    var context = new Context();
    context.should.exist;
    try{
      context.local({})
      false.should.be.true
    }catch(error){
      "local request must be a instance of Commands".should.be.equal(error);
    }
  });

  it("Should add local request with commands instance", function(){
    var Context = require('../../../../app/helpers/executions/context.coffee');
    var Commands = require('../../../../app/helpers/executions/./commands.coffee');

    var context = new Context();
    var command = new Commands();
    command.addCommand('Hello', 'echo "Hello"');
    context.local(command);
    context.localRequest.should.exist;
  });
});