var sherlock = require('../../../bin/sherlock2');
var assert = require("assert");
var should = require("should");

describe("Uname Test", function(){
  it("1 - execute job examples/sherlock-examples/jobs/uname.investigation", function(done){
    this.timeout(10000);
    var env = "prod";
    sherlock.run('examples/sherlock-examples/jobs/uname.investigation', {env: env}, function(conclusions){
      assert.equal(1, conclusions.length);
      env.should.be.equal(conclusions[0].context.env);
      done();
    });
  });

  it("2 - execute job examples/sherlock-examples/jobs/simple.js", function(done){
    this.timeout(10000);
    var env = "prod";
    sherlock.run('examples/sherlock-examples/jobs/simple.js', {env: env, test:"OK"}, function(conclusions){
      assert.equal(1, conclusions.length);
      env.should.be.equal(conclusions[0].context.env);
      "OK".should.be.equal(conclusions[0].context.test);
      done();
    });
  });
});