var sherlock = require('../../../bin/sherlock2');

var assert = require("assert");
var should = require('should');

describe("Simple job Test", function(){
  it("1 - execute job examples/sherlock-examples/jobs/simple.js", function(done){
    this.timeout(10000);
    var env = "prod";
    var input = "param1"
    sherlock.run('examples/sherlock-examples/jobs/simple.js', {env: env, test:input}, function(conclusions){
      assert.equal(1, conclusions.length);
      (env).should.be.exactly(conclusions[0].context.env);
      (input).should.be.exactly(conclusions[0].context.test);
      done();
    });
  });

  it("2 - execute job examples/sherlock-examples/jobs/simple.coffee", function(done){
    this.timeout(10000);
    var env = "prod";
    var input = "param1"
    sherlock.run('examples/sherlock-examples/jobs/simple.coffee', {env: env, param1:input}, function(conclusions){
      assert.equal(1, conclusions.length);
      (env).should.be.exactly(conclusions[0].context.env);
      (input).should.be.exactly(conclusions[0].context.param1);
      done();
    });
  });
});