async = require 'async'
Step = require './step'
{exec} = require 'child_process'

class Local extends Step
  constructor: (@commands=[])->
  execute: (context) ->
    throw 'context parameter is required' if not context?
    throw 'context.localRequest parameter is required' if not context.localRequest?
    async.map context.localRequest.commands, @connect, (err, results) =>
      @emit 'end', err, results
  connect: (command, callback) =>
    instance = @
    throw 'command parameter is required' if not command?
    exec command.command, (err, stdout, stderr) =>
      response = {}
      response[command.name] =
        rawData: stdout
        stderr: stderr
        command: command
      instance.emit 'executed', err, response
      callback? err, response

module.exports=Local