var d3 = require('d3');
var path = require('path');
var winston = require('winston');
var readdir = require('readdir');

var genericQuestions = [];
var localQuestions = [];

try{
  var questionDir = path.join(process.cwd(), "questions");
  localQuestions = readdir.readSync(questionDir, ['**.js']);
  localQuestions.forEach(function(question){
    var normquestion = path.basename(question,".js");
    module.exports[normquestion]=require(questionDir+"/./"+question);
  });
}catch(err){
  winston.error('Problem to load questions: ', err);
}