var CLI = require('clui'),
    clc = require('cli-color'),
    d3 = require('d3');

var Line          = CLI.Line,
	Gauge         = CLI.Gauge;
	Sparkline     = CLI.Sparkline;

var requestSeries = [0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0];
var errorSeries = [0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0];

module.exports= function(responses){
	if(responses.size()<=0){
		return;
	}
	console.log(clc.reset);
	var keys = responses.keys();
	keys = keys.sort();

	keys.forEach(function(key){
		var value = responses.get(key);
		var blankLine = new Line().fill().output();
		blankLine.output();

		requestSeries.push(Math.ceil(value.requests));
		requestSeries.shift();

		var requestLine = new Line()
			.padding(2)
			.column(key, 20, [clc.cyan])
			.column(value.time, 20, [clc.cyan])
			.column(Sparkline(requestSeries, ' reqs/sec'), 80)
			.fill()
			.output();
	});
}