var winston = require('winston');

module.exports = function(){
	var myCustomLevels = {
		levels: {
			sherlock: 0,
			sherlockDebug: 1,
			debug: 2
		},
		colors: {
			sherlock: 'blue',
			sherlockDebug: 'green',
			debug: 'red'
		}
	};

	var customLevelLogger = new (winston.Logger)({ levels: myCustomLevels.levels });
	winston.addColors(myCustomLevels.colors);
	return customLevelLogger;
}