var inquirer = require("inquirer");
var program = require('commander');

program
  .version('0.0.1')
  .option('-j, --job [jobName]', 'Job to execute', 'default')
  .option('-d, --debug', 'Debug mode', false)
  .option('-i, --info', 'Info mode', false)
  .parse(process.argv);

inquirer.prompt([
  {
    type: "list",
    name: "theme",
    message: "Select a option?",
    choices: [
      "Option 1",
      "Option 2",
      "Option 3",
      new inquirer.Separator(),
      "ReConfigure"
    ]
  },
  {
    type: "list",
    name: "size",
    message: "What size do you need",
    choices: [ "Jumbo", "Large", "Standard", "Medium", "Small", "Micro" ],
    filter: function( val ) { return val.toLowerCase(); }
  }
], function( answers ) {
    console.log( JSON.stringify(answers, null, "  ") );
  });